org.apache.tiles.web.jsp.taglib

## Class SetCurrentContainerTag

- java.lang.Object
- - javax.servlet.jsp.tagext.SimpleTagSupport
  - - org.apache.tiles.web.jsp.taglib.SetCurrentContainerTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.SimpleTag

      public class SetCurrentContainerTag
      extends javax.servlet.jsp.tagext.SimpleTagSupport

  Selects a container to be used as the "current" container.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetCurrentContainerTag()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doTag()`
    `String` | `getContainerKey()` Getter for containerKey property.
    `void` | `setContainerKey(String containerKey)` Setter for containerKey property.

    - ### Methods inherited from class javax.servlet.jsp.tagext.SimpleTagSupport

      `findAncestorWithClass, getJspBody, getJspContext, getParent, setJspBody, setJspContext, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SetCurrentContainerTag

          public SetCurrentContainerTag()

  - ### Method Detail

    - #### getContainerKey

          public String getContainerKey()

      Getter for containerKey property.
      Returns:
        The key of the container to be used as "current". If null, the default one will be used.

    - #### setContainerKey

          public void setContainerKey(String containerKey)

      Setter for containerKey property.
      Parameters:
        `containerKey` - The key of the container to be used as "current". If null, the default one will be used.

    - #### doTag

          public void doTag()
                     throws javax.servlet.jsp.JspException,
                            IOException

      Specified by:
        `doTag` in interface `javax.servlet.jsp.tagext.SimpleTag`
      Overrides:
        `doTag` in class `javax.servlet.jsp.tagext.SimpleTagSupport`
      Throws:
        `javax.servlet.jsp.JspException`
        `IOException`

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.